Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework
Class TLEWebapplicationListener

    java.lang.Object
      tle.framework.TLEWebapplicationListener

    public class TLEWebapplicationListener

extends java.lang.Object

웹 어플리케이션 리스너로서 웹 어플리케이션이 초기화 되거나 종료될 때 틀 프레임워크를 초기화하거나 종료해준다. web.xml 파일에 listener로서 이 클래스를 등록해주어야 한다.

web.xml 파일의 콘텍스트 파라미터인 "tle.configFile"을 사용하여 틀 프레임워크의 초기화 설정 파일 경로를 명시한다.

web.xml 파일에 다음과 같은 내용을 추가해주면 된다.

       <context-param>
           <param-name>tle.configFile</param-name>
           <param-value>/home/webapps/tle2/WEB-INF/config/TLEFrameworkConfig.xml</param-value>
       </context-param>

       <listener>
           <listener-class>tle.framework.TLEWebapplicationListener</listener-class>
       </listener>

tle.configFile 초기화 파라미터의 값에는 다음과 같이 {context.path}나 {user.home}을 사용할 수 있다.

       <context-param>
           <param-name>tle.configFile</param-name>
           <param-value>{context.path}/WEB-INF/config/TLEFrameworkConfig.xml</param-value>
       </context-param>

{context.path}를 사용하게 되면 현재 웹 어플리케이션의 경로가 대체되서 들어가며, {user.home}을 사용하게 되면 사용자 홈디렉토리 경로가 대체되서 들어간다.

위와 같이 이 클래스를 web.xml 파일에 listener로 등록하지 않을 경우에는 직접 TLEFramework의 초기화 및 종료를 처리해주어야 한다.

설정 파일에 대한 정보는 tle.framework.configuration.TLEConfig 클래스에서 참고할 수 있다.

Since:
  2.0
Author:
  최범균
See Also:
  `TLEConfig`, `TLEFramework`

Constructor Summary
`TLEWebapplicationListener()`

Method Summary
`void` | `contextDestroyed(ServletContextEvent arg0)` 웹 어플리케이션이 종료되면 TLEInitializer를 사용하여 틀 프레임워크의 각 컴포넌트를 종료한다.
`void` | `contextInitialized(ServletContextEvent event)` 웹 어플리케이션이 초기화되면 TLEInitializer를 사용하여 틀 프레임워크의 각 컴포넌트를 초기화한다.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TLEWebapplicationListener

    public TLEWebapplicationListener()

Method Detail

### contextInitialized

    public void contextInitialized(ServletContextEvent event)

  웹 어플리케이션이 초기화되면 TLEInitializer를 사용하여 틀 프레임워크의 각 컴포넌트를 초기화한다.

  TLEFramework.openFramework() 메소드를 호출한다. 이때 tle.configFile 콘텍스트 파라미터의 값을 인자로 전달한다.

  TLEFramework.openFramework() 메소드를 호출하기 전에 TLEProperties.setProperty("context.path", event.getServletContext().getRealPath("")) 메소드를 호출한다.

  See Also:
    `javax.servlet.ServletContextListener#contextInitialized(javax.servlet.ServletContextEvent)`, `TLEFramework.openFramework(java.lang.String configFilePath)`

### contextDestroyed

    public void contextDestroyed(ServletContextEvent arg0)

  웹 어플리케이션이 종료되면 TLEInitializer를 사용하여 틀 프레임워크의 각 컴포넌트를 종료한다.

  TLEFramework.closeFramework() 메소드를 호출한다.

  See Also:
    `javax.servlet.ServletContextListener#contextDestroyed(javax.servlet.ServletContextEvent)`, `TLEFramework.closeFramework()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD